专职C++

不能停止的脚步

  C++博客 :: 首页 :: 联系 :: 聚合  :: 管理
  155 Posts :: 7 Stories :: 135 Comments :: 0 Trackbacks

常用链接

留言簿(13)

我参与的团队

搜索

  •  

最新评论

阅读排行榜

评论排行榜

javascript

javascript
posted @ 2017-07-17 11:47 冬瓜 阅读(338) | 评论 (0)  编辑

posted @ 2017-04-27 00:18 冬瓜 阅读(793) | 评论 (0)  编辑

posted @ 2017-04-21 09:42 冬瓜 阅读(935) | 评论 (0)  编辑

posted @ 2017-04-17 12:01 冬瓜 阅读(1113) | 评论 (0)  编辑

posted @ 2017-04-17 11:41 冬瓜 阅读(781) | 评论 (0)  编辑

posted @ 2017-03-29 17:09 冬瓜 阅读(1036) | 评论 (0)  编辑

     摘要: 前面一篇,我们写了数组的基础,在这里则会把主要的方法和应用列出来.
对于迭代方法和归并方法只是一个简化代码的作用,可能这些方法功能非常见,所以干脆默认提从了这两组方法。对于js的数组,使用起来非常方法,相比c/c++真是无与伦比…。在C++11标准后,也可以同样提供一个强大的动态数组。但是js的数组,可以存放任何元素,这个是C++不能比的,虽然可以实现,但是代价就有点大了。相对来说,现在版本的java和C#,则可以。因为java所有的都是Object…  阅读全文
posted @ 2017-03-07 18:03 冬瓜 阅读(1255) | 评论 (0)  编辑

posted @ 2017-03-03 14:24 冬瓜 阅读(1241) | 评论 (0)  编辑

     摘要: 注:关于node-heapdump请看 使用node heapdump

基于appium源码 1.6.3 运行,发现运行一段时间后,会出现内存溢出.
用node-heapdump生成heap快照 发现多了很多字符串对象:内容如下  阅读全文
posted @ 2017-02-23 20:35 冬瓜 阅读(1301) | 评论 (0)  编辑

     摘要: 在使用appium的过程中,发现有内存泄露,最后就process out of memory了,就挂了
网上用使用增加运行内存的方式(还是抗不住),没办法,就只好找出内存泄露的地方了
对node.js很多文章,都是说用memwatch,结果发现,这个是一个死项目,有四年没有更新过了,在现有的环境下,是没有办法编译的。
然后又有一个memwatch-next,顾名思义,就是memwatch的下一个版本,结果是果然也可以编译,一些事件也支持,但是要headdump后要end后,就挂了。
国内,用百度,你一万年都别想解决问题,估计找成人不宜的东西,百度世界第一名,google也不比过百度。  阅读全文
posted @ 2017-02-23 14:28 冬瓜 阅读(978) | 评论 (0)  编辑

posted @ 2017-02-20 14:31 冬瓜 阅读(856) | 评论 (0)  编辑

     摘要: 在node下,需要常常用目录的多级操作,所以用博客做一个记录  阅读全文
posted @ 2017-02-14 15:09 冬瓜 阅读(1582) | 评论 (0)  编辑

     摘要: 这世界上已经有很多开发工具了。现在基于node.js上开发,对了了一下:visual studio 2015+ntvs ,webStorm,Atom,Sublime,editplus,notepad++和vscode,最终选择了vscode。
vs2015太大了,不是跨平台,ntvs这个插件对node.js和js支持还不够好。
webStorm也是一个非常不错的,相对vscode,还是有点大,重点它是收费的。  阅读全文
posted @ 2017-02-10 14:50 冬瓜 阅读(1476) | 评论 (0)  编辑

     摘要: 本文基于node 6.9.x 使用的protobuf.js的版本 5.0.2
因为layabox 1.6.x引擎自带的protobuf.js的版本是5.0.1,考虑两边兼容,所以我在node服务器端使用5.0.2
我的目标用js同时实现手机端和服务器端,不用搞两套语言了,使用protobuf就不重造车轮了  阅读全文
posted @ 2017-02-06 18:12 冬瓜 阅读(769) | 评论 (0)  编辑

     摘要: node 6.9.x已经支持99%的ES2015的特性,但是ES2017中的async和await,import是不支持,但是要想使用,则需要将ES2017的代码,降级.
网上很多例子,都是把代码降级到ES5,结果,就很难读了.其实只要降级到node 6.9.x支持的部分就可以了.像class,=>等就可以直接有了,这样降级后的代码,可读性依然非常好  阅读全文
posted @ 2017-01-16 10:18 冬瓜 阅读(808) | 评论 (0)  编辑

Full javascript Archive